prefix=/usr
libdir=$(prefix)/lib
OS=linux

all: static-lib dynamic-lib

static-lib: linux/librhtv.a
linux/librhtv.a:
	$(MAKE) -C linux

dynamic-lib: linuxso/librhtv.so.1.0.8
linuxso/librhtv.so.1.0.8:
	cd linuxso; ./makemak.pl --no-inst-message

install: static-lib dynamic-lib
	install -d -m 0755 $(prefix)/include/rhtvision
	install -m 0644 include/*.h $(prefix)/include/rhtvision
	install -d -m 0755 $(libdir)
	install -m 0755 linux/librhtv.a $(libdir)
	rm -f $(libdir)/librhtv.so
	rm -f $(libdir)/librhtv.so.1
	rm -f $(libdir)/librhtv.so.1.0.8
	ln -s $(libdir)/librhtv.so.1.0.8 $(libdir)/librhtv.so
	ln -s $(libdir)/librhtv.so.1.0.8 $(libdir)/librhtv.so.1
	install -m 0755 linuxso/librhtv.so.1.0.8 $(libdir)
	strip --strip-debug $(libdir)/librhtv.so.1.0.8
	ldconfig


